Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class XmlCasDeserializer

    java.lang.Object
      org.apache.uima.util.XmlCasDeserializer

    public abstract class XmlCasDeserializer

extends Object

Deserializes a CAS from a standoff-XML format. This class can read the XMI format introduced in UIMA v1.4 as well as the XCAS format from previous versions.

Constructor Summary
`XmlCasDeserializer()`

Method Summary
`static void` | `deserialize(InputStream aStream, CAS aCAS)` Deserializes a CAS from a standoff-XML format.
`static void` | `deserialize(InputStream aStream, CAS aCAS, boolean aLenient)` Deserializes a CAS from XMI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlCasDeserializer

    public XmlCasDeserializer()

Method Detail

### deserialize

    public static void deserialize(InputStream aStream,
                                   CAS aCAS)
                            throws SAXException,
                                   IOException

  Deserializes a CAS from a standoff-XML format.

  Parameters:
    `aStream` - input stream from which to read the XML document
    `aCAS` - CAS into which to deserialize. This CAS must be set up with a type system that is compatible with that in the XML.
  Throws:
    `SAXException` - if an XML Parsing error occurs
    `IOException` - if an I/O failure occurs

### deserialize

    public static void deserialize(InputStream aStream,
                                   CAS aCAS,
                                   boolean aLenient)
                            throws SAXException,
                                   IOException

  Deserializes a CAS from XMI.

  Parameters:
    `aStream` - input stream from which to read the XML document
    `aCAS` - CAS into which to deserialize. This CAS must be set up with a type system that is compatible with that in the XML
    `aLenient` - if true, unknown Types will be ignored. If false, unknown Types will cause an exception. The default is false.
  Throws:
    `SAXException` - if an XML Parsing error occurs
    `IOException` - if an I/O failure occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.